phpMyAdmin on an ISPConfig3 server

Discussion in 'Installation/Configuration' started by Hans, Oct 25, 2009.

  1. Hans

    Hans Moderator ISPConfig Developer

    Hi Till,
    While installing ISPConfig3, i see that phpMyAdmin phpmyadmin (4:2.11.8.1-5+lenny1) from the Debian repositories is used.

    Of course i know that that Debian stands for stability and not always the latest versions, but there are known issues regarding security with older versions of phpMyAdmin.

    So i ask myself is it not better to use always the latest phpMyAdmin version instead?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    As far as I knows, the debian guys fix problems in older versions with patches without increasing the version number, so your install should be safe. If you want to yuse a newer version, you can do this of course.

    Beginning from ISPConfig 3.0.2 we will introduce a apps vhost for installing software packages like webmail or phpmyadmin in custom version with the ispconfig 3 software installer.
     
  3. jcombs_31

    jcombs_31 New Member

    That sounds pretty interesting, where can I read more information about that? Is it documented anywhere?
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Currently there is only this entry in the roadmap for it:

    http://bugtracker.ispconfig.org/index.php?do=details&task_id=871&project=3

    Basically, the apps vhost will be a php enabled extra vhost which might run on a separate port or separate domain configurable in the ISPConfig server settings. The ispconfig package manager can be used then to install software into this vhost.
     

Share This Page